BazaarLinkBazaarLink
เข้าสู่ระบบ
เอกสารAPI ข้อมูลอ้างอิงSDK ข้อมูลอ้างอิงการใช้งาน AgentAI ทักษะ
Embeddings

แสดงรายการโมเดล embeddings

คืนค่าโมเดลที่ใช้งานได้ กรองได้ด้วย output_modalities นี่ไม่ใช่ endpoint เฉพาะสำหรับ embeddings — เป็น endpoint แสดงรายการโมเดลที่ใช้ร่วมกัน (GET /api/v1/models) การส่ง output_modalities=embeddings จะจำกัดให้เหลือเฉพาะโมเดล embeddings เท่านั้น หากละเว้นพารามิเตอร์นี้ ค่าเริ่มต้นจะคืนเฉพาะโมเดลข้อความ ไม่ใช่ทั้งหมด

GET/api/v1/models

พารามิเตอร์คิวรี

output_modalities
string

สตริงเดี่ยวคั่นด้วยจุลภาค (ไม่ใช่การส่ง query key ชื่อเดิมซ้ำ) เช่น embeddings หรือ embeddings,image ส่ง all เพื่อรับทุกโมดัลลิตี ค่าเริ่มต้นเมื่อละเว้นคือ text เท่านั้น ค่าที่ไม่รู้จักจะคืนค่า 400

comma-separated, single value
Example: "embeddings"
GET /api/v1/models
curl "https://bazaarlink.ai/api/v1/models?output_modalities=embeddings"
ตัวอย่างการตอบกลับ

สำเร็จ data[] มีเฉพาะโมเดลที่ตรงกับตัวกรอง แต่ละรายการมี pricing (USD ต่อล้านโทเค็น), context_length, architecture.output_modalities และฟิลด์ที่เกี่ยวข้อง

{
  "object": "list",
  "data": [
    {
      "id": "text-embedding-3-small",
      "object": "model",
      "owned_by": "openai",
      "name": "OpenAI: text-embedding-3-small",
      "context_length": 8191,
      "aliases": [
        "openai/text-embedding-3-small"
      ],
      "pricing": {
        "prompt": "0.00000002",
        "completion": "0"
      },
      "architecture": {
        "modality": "text->embedding",
        "input_modalities": [
          "text"
        ],
        "output_modalities": [
          "embeddings"
        ]
      }
    }
  ]
}
Support
Support
Hi! How can we help you?
Send a message and we'll get back to you soon.
แสดงรายการโมเดล embeddings — BazaarLink API